java.util.zip

## Interface Checksum

All Known Implementing Classes:
  Adler32, CRC32

    public interface Checksum

An interface representing a data checksum.

### Method Summary

Methods
`long` `getValue()` Returns the current checksum value.
`void` `reset()` Resets the checksum to its initial value.
`void` `update(byte[] b, int off, int len)` Updates the current checksum with the specified array of bytes.
`void` `update(int b)` Updates the current checksum with the specified byte.

### Method Detail

#### update

    void update(int b)

Updates the current checksum with the specified byte.

Parameters:
  `b` - the byte to update the checksum with

#### update

    void update(byte[] b,
              int off,
              int len)

Updates the current checksum with the specified array of bytes.

Parameters:
  `b` - the byte array to update the checksum with
  `off` - the start offset of the data
  `len` - the number of bytes to use for the update

#### getValue

    long getValue()

Returns the current checksum value.

Returns:
  the current checksum value

#### reset

    void reset()

Resets the checksum to its initial value.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.